Creates a new territory

Request Information

URI Parameters :

None.

Body Parameters :

sales_territory
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

description

Description of the territory

string

Required

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "7e7f8485-d6e4-4cee-ac99-25cfb37efd19",
  "code": "sample string 2",
  "description": "sample string 3",
  "sales_organization_id": "34c21f93-52bb-4ae8-ae85-220fd7bd201f",
  "sales_organization_code": "sample string 5",
  "sales_organization": {
    "id": "d06df305-a530-43cb-bb97-fc0e980e7597",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "eb5611d8-4d72-4d32-8b4e-9c0a6258bb07",
    "db_currency_id": "7466134e-cd43-46eb-88d6-8bc07b9bf1e6",
    "db_language_id": "c8377c58-4b9a-49ba-94a3-644cbcef9682",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-10-28T21:50:57.5128792+00:00"
  },
  "modified_dateutc": "2026-10-28T21:50:57.5128792+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.